Buenos días; les escribo porque estoy tratando de correr un scripit para descargarme el repositorio de ubuntu 16.04; pero después de un tiempo me da error…. sin importar desde cualquier repositorio del que trate de correrlo

Aqui les dejo el error:[ 99%] Getting: dists/xenial-security/universe/binary-amd64/Packages.gz…      #** GET http://ubuntu.uci.cu/ubuntu/dists/xenial-security/universe/binary-amd64/Packages.gz ==> 200 OK
ok
[100%] Getting: dists/xenial-security/multiverse/binary-i386/Packages.gz…      #** GET http://ubuntu.uci.cu/ubuntu/dists/xenial-security/multiverse/binary-i386/Packages.gz ==> 200 OK
ok
[100%] Getting: dists/xenial-security/multiverse/binary-amd64/Packages.gz…      #** GET http://ubuntu.uci.cu/ubuntu/dists/xenial-security/multiverse/binary-amd64/Packages.gz ==> 200 OK
ok
Parsing Packages and Sources files …
Get Translation files …
Files to download: 20778 MiB
[  0%] Getting: pool/main/b/btrfs-tools/btrfs-tools-dbg_4.4-1ubuntu1_amd64.deb…      #** GET http://ubuntu.uci.cu/ubuntu/pool/main/b/btrfs-tools/btrfs-tools-dbg_4.4-1ubuntu1_amd64.deb ==> 200 OK (3s)
ok
[  0%] Getting: pool/main/b/btrfs-tools/btrfs-tools-dbg_4.4-1ubuntu1_i386.deb…      #** GET http://ubuntu.uci.cu/ubuntu/pool/main/b/btrfs-tools/btrfs-tools-dbg_4.4-1ubuntu1_i386.deb ==> 200 OK (580s)
Transfer truncated: only 2779840 out of 4412680 bytes received

Agradecería que me pudiesen ayudar lo mas pronto posible

Salu2s